%global gem_name acts_as_list

Summary: Sorting and reordering capabilities for ActiveRecord model
Name: rubygem-acts-as-list
Version: 0.1.4
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/swanandp/acts_as_list
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Patch0: requirear.patch
Requires: ruby(abi) = 1.9.1, rubygems, rubygem(activerecord)
BuildRequires: ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
#BuildRequires: rubygem(activerecord)
#BuildRequires: rubygem(sqlite3)
#BuildRequires: rubygem(bundler)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Gem version of acts_as_list plugin for ActiveRecord.
Provides the capabilities for sorting and reordering a number
of objects in a list.  The class that has this specified needs
to have a position column defined as an integer on the mapped
database table.

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} -V --force --rdoc %{SOURCE0}

pushd .%{gem_dir}
%patch0 -p6 -b .requirear
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}

# Remove patch backup files
find %{buildroot}%{gem_dir} -name \*.requirear -delete

rm %{buildroot}%{gem_instdir}/.gitignore

# Requires rubygem-bundler:
#%check
#pushd .%{geminstdir}/test
#ruby test_list.rb

%files
%dir %{gem_instdir}
%{gem_instdir}/%{gem_name}.gemspec
%{gem_libdir}
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/.gemtest
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/init.rb
%{gem_cache}
%{gem_spec}

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.1.4-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 28 2011 Karel Klíč <kklic@redhat.com> - 0.1.4-1
- Updated to latest upstream release and switched gem provider
- Spec file cleanup
  TODO: rename to rubygem-acts_as_list -> new review

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 31 2010 Karel Klic <kklic@redhat.com> - 0.1.2-4
- Remove patch backup files

* Mon May 24 2010 Karel Klic <kklic@redhat.com> - 0.1.2-3
- Marked test and tasks directories as %%doc
- Added patch to require Active Record

* Fri Feb  5 2010 Karel Klic <kklic@redhat.com> - 0.1.2-2
- Added %%check section
- Removed unused macro %%ruby_sitelib
- Gem is unpacked in %%prep section

* Fri Jan 15 2010 Karel Klic <kklic@redhat.com> - 0.1.2-1
- Initial package
